TYPO3:
   CMS:
    Form:
      prototypes:
        standard:
          formElementsDefinition:
            Form:
              formEditor:
                editors:
                  900:
                    selectOptions:
                      1681331285:
                        value: GetResponse
                        label: GetResponse Finisher
                propertyCollections:
                  finishers:
                    1681331285:
                      identifier: GetResponse
                      editors:
                        100:
                          identifier: header
                          label: GetResponse
                          templateName: Inspector-CollectionElementHeaderEditor
                        105:
                          identifier: 'notifyEmail'
                          templateName: 'Inspector-TextEditor'
                          label: 'Notify email'
                          propertyPath: 'options.notifyEmail'
                          propertyValidators:
                            10: 'NotEmpty'
                        110:
                          identifier: 'apiKey'
                          templateName: 'Inspector-TextEditor'
                          label: 'API Key'
                          propertyPath: 'options.apiKey'
                          propertyValidators:
                            10: 'NotEmpty'
                        120:
                          identifier: 'campaignId'
                          templateName: 'Inspector-TextEditor'
                          label: 'Campaign ID'
                          propertyPath: 'options.campaignId'
                          propertyValidators:
                            10: 'NotEmpty'
                        130:
                          identifier: 'email'
                          templateName: 'Inspector-TextEditor'
                          label: 'Subscribers email'
                          propertyPath: 'options.email'
                          enableFormelementSelectionButton: true
                          propertyValidators:
                            10: 'NotEmpty'
                            20: 'FormElementIdentifierWithinCurlyBracesInclusive'
                        150:
                          identifier: 'firstname'
                          templateName: 'Inspector-TextEditor'
                          label: 'Subscribers firstname'
                          propertyPath: 'options.firstname'
                          enableFormelementSelectionButton: true
                          propertyValidators:
                            10: 'NotEmpty'
                            20: 'FormElementIdentifierWithinCurlyBracesInclusive'
                        160:
                          identifier: 'lastname'
                          templateName: 'Inspector-TextEditor'
                          label: 'Subscribers lastname'
                          propertyPath: 'options.lastname'
                          enableFormelementSelectionButton: true
                          propertyValidators:
                            10: 'NotEmpty'
                            20: 'FormElementIdentifierWithinCurlyBracesInclusive'
                        170:
                          identifier: 'company'
                          templateName: 'Inspector-TextEditor'
                          label: 'Subscribers company'
                          propertyPath: 'options.company'
                          enableFormelementSelectionButton: true
                          propertyValidators:
                            10: 'FormElementIdentifierWithinCurlyBracesInclusive'
                        180:
                          identifier: 'register'
                          templateName: 'Inspector-TextEditor'
                          label: 'Register boolean'
                          propertyPath: 'options.register'
                          enableFormelementSelectionButton: true
                          propertyValidators:
                            10: 'FormElementIdentifierWithinCurlyBracesInclusive'
                        9999:
                          indentifier: removeButton
                          templateName: Inspector-RemoveElementEditor
          finishersDefinition:
            GetResponse:
              implementationClassName: 'Cloonar\BaseDesign\Domain\Finishers\GetResponseFinisher'
              formEditor:
                iconIdentifier: 'form-finisher'
                label: 'GetResponse Finisher'
                predefinedDefaults:
                  options:
                    notifyEmail: ''
                    apiKey: ''
                    campaignId: ''
                    email: {}
                    firstname: {}
                    lastname: {}
                    company: {}
                    register: {}
              FormEngine:
                label: 'GetResponse Finisher'
                elements:
                  notifyEmail:
                    label: 'Notify email'
                    config:
                      type: 'text'
                  apiKey:
                    label: 'API key'
                    config:
                      type: 'text'
                  campaignId:
                    label: 'Campaign ID'
                    config:
                      type: 'text'
                  email:
                    label: 'Subscribers email'
                    config:
                      type: 'text'
                  firstname:
                    label: 'Subscribers firstname'
                    config:
                      type: 'text'
                  lastname:
                    label: 'Subscribers lastname'
                    config:
                      type: 'text'
                  company:
                    label: 'Subscribers company'
                    config:
                      type: 'text'
                  register:
                    label: 'Register Subscriber'
                    config:
                      type: 'text'
